#!/bin/sh

[ -n "$*" ] || exit

pulseaudio=`which pulseaudio 2>/dev/null`
padsp=`which padsp 2>/dev/null`
esddsp=`which esddsp 2>/dev/null`

if [ -n "$padsp" -a -n "$pulseaudio" ] && $pulseaudio --check 2>/dev/null ; then
	exec $padsp "$@"
elif [ -S /tmp/.esd-${UID}/socket -a -n "$esddsp" ]; then
	exec $esddsp "$@"
elif [ -e /proc/asound/card0/id ]; then
	echo "${0##*/}: Executing \"$*\" via aoss" >&2
	exec aoss "$@"
else
	echo "${0##*/}: Executing \"$*\" without sound wrapper" >&2
	exec "$@"
fi
